#ifndef HEMCA_H
#define HEMCA_H

#define HEMCA_HARDWARE "he1442"

/* for ioctl */

#define HEMCA_IOC      'h'

#define HEMCA_START    _IO (HEMCA_IOC, 11      )
#define HEMCA_STOP     _IO (HEMCA_IOC, 13      )
#define HEMCA_CLEAR    _IO (HEMCA_IOC, 15      )
#define HEMCA_TIME     _IOR(HEMCA_IOC, 17, long)
#define HEMCA_LOST     _IOR(HEMCA_IOC, 19, long)

/* used only for ctrl program */
#define HEMCA_READ     21
#define HEMCA_EXIT     99

/* list data buffer */
#ifndef HEMCA_MAXBUF
#define HEMCA_MAXBUF   16384
#endif

/* histogram */
#ifndef HEMCA_CHAN
#define HEMCA_CHAN     1024
#endif

#endif /* HEMCA_H */
